Ask Your Question
0

NSA3.x id-UECapabilityInfoIndication malformed issue

asked 2018-10-29 16:51:45 +0000

updated 2018-10-30 10:58:50 +0000

grahamb gravatar image

In order for the UE to search/add 5G NR in NSA3.x, the EN-DC supported network broadcasts upperLayerIndication-r15 in SIB2 and from the wireshark 2.6.4, this seemed to be malformed and wondering when wireshark will support NR messages?

nonCriticalExtension
nonCriticalExtension
nonCriticalExtension
nonCriticalExtension
ce-Parameters-v1350
nonCriticalExtension
nonCriticalExtension
phyLayerParameters-v1430
alternativeTBS-Index-r14: supported (0)
mac-Parameters-v1430
shortSPS-IntervalFDD-r14: supported (0)
skipUplinkDynamic-r14: supported (0)
skipUplinkSPS-r14: supported (0)
rlc-Parameters-v1430
extendedPollByte-r14: supported (0)
otherParameters-v1430
mmtel-Parameters-r14
delayBudgetReporting-r14: supported (0)
ce-Parameters-v1430
nonCriticalExtension
lwa-Parameters-v1440
mac-Parameters-v1440
nonCriticalExtension
otherParameters-v1450
nonCriticalExtension
basebandParameters-r15
something unknown here [too long integer(per_normally_small_nonnegative_whole_number)]
[Expert Info (Warning/Undecoded): something unknown here [too long integer(per_normally_small_nonnegative_whole_number)]]
[something unknown here [too long integer(per_normally_small_nonnegative_whole_number)]]
[Severity level: Warning]
[Group: Undecoded]
[Malformed Packet: LTE RRC]
    [Expert Info (Error/Malformed): Malformed Packet (Exception occurred)]
        [Malformed Packet (Exception occurred)]
        [Severity level: Error]
        [Group: Malformed]
 
edit retag flag offensive close merge delete

Comments

Thanks for the advice, i used 2.9.0.2351 and it was able to decode a little bit further but i am still seeing malformed packets as shown below:

nonCriticalExtension
nonCriticalExtension
nonCriticalExtension
nonCriticalExtension
ce-Parameters-v1350
nonCriticalExtension
nonCriticalExtension
phyLayerParameters-v1430
alternativeTBS-Index-r14: supported (0)
mac-Parameters-v1430
shortSPS-IntervalFDD-r14: supported (0)
skipUplinkDynamic-r14: supported (0)
skipUplinkSPS-r14: supported (0)
rlc-Parameters-v1430
extendedPollByte-r14: supported (0)
otherParameters-v1430
mmtel-Parameters-r14
delayBudgetReporting-r14: supported (0)
ce-Parameters-v1430
nonCriticalExtension
lwa-Parameters-v1440
mac-Parameters-v1440
nonCriticalExtension
otherParameters-v1450
nonCriticalExtension
otherParameters-v1460
nonCriticalExtension
irat-ParametersNR-r15
en-DC-r15: supported (0)
pdcp-ParametersNR-r15
rohc-Profiles-r15
0... .... profile0x0001-r15: False
.0.. .... profile0x0002-r15: False
..0. .... profile0x0003-r15: False
...0 .... profile0x0004-r15: False
.... 0... profile0x0006-r15: False
.... .0.. profile0x0101-r15: False
.... ..0. profile0x0102-r15: False
.... ...0 profile0x0103-r15: False
0... .... profile0x0104-r15: False
rohc-ProfilesUL-Only-r15
.0.. .... profile0x0006-r15: False
sn-SizeLo-r15: supported (0)
Item 1
    UE-CapabilityRAT-Container
        rat-Type: eutra-nr (6)
        ueCapabilityRAT-Container: 004084100104d00004410031000000441051028000044108…
            UE-MRDC-Capability
                rf-ParametersMRDC
[Malformed Packet: LTE RRC]
    [Expert Info (Error/Malformed): Malformed Packet (Exception occurred)]
        [Malformed Packet (Exception occurred)]
        [Severity level: Error]
        [Group: Malformed]
jonathan.santos gravatar imagejonathan.santos ( 2018-10-29 19:12:36 +0000 )edit

On which release is your product based? Up to now you had incompatible changes between versions released each quarter. The latest Wireshark version is based on the latest release available, while you could be using an older version.

Pascal Quantin gravatar imagePascal Quantin ( 2018-10-29 19:16:42 +0000 )edit

5G NR 3GPP release June 2018

jonathan.santos gravatar imagejonathan.santos ( 2018-10-29 19:49:33 +0000 )edit

Which is not backward compatible with September 18 release seems like. You can blame 3GPP for this... If you have a development environment, you can build an older 2.9.0 version from last summer to decode it.

Pascal Quantin gravatar imagePascal Quantin ( 2018-10-29 20:37:15 +0000 )edit

1 Answer

Sort by » oldest newest most voted
0

answered 2018-10-29 16:56:05 +0000

Pascal Quantin gravatar image

Hi,

Wireshark 2.6.4 ships with versions from end of 2017. Please use instead Wireshark 2.9.0 development builds that are based on September 2018 releases. You can find them here: https://www.wireshark.org/download/au...

edit flag offensive delete link more

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

1 follower

Stats

Asked: 2018-10-29 16:51:45 +0000

Seen: 54 times

Last updated: Oct 30